/*
 * Copyright 2010 James Pether Sörling
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *	$Id: Navigator7SpringApplicationServlet.java 4204 2010-08-18 18:21:47Z pether $
 *  $HeadURL: https://cia.svn.sourceforge.net/svnroot/cia/tags/web-widgets-1.0-beta-4/src/main/java/com/hack23/cia/web/servlet/Navigator7SpringApplicationServlet.java $
 */
package com.hack23.cia.web.servlet;

import java.io.IOException;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.vaadin.navigator7.WebApplication;

import com.vaadin.incubator.spring.servlet.SpringApplicationServlet;

/**
 * The Class ApplicationServlet.
 */
public class Navigator7SpringApplicationServlet extends SpringApplicationServlet {

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 1L;

	/*
	 * (non-Javadoc)
	 *
	 * @see
	 * com.vaadin.incubator.spring.servlet.SpringApplicationServlet#init(javax
	 * .servlet.ServletConfig)
	 */
	@Override
	public void init(final ServletConfig servletConfig) throws ServletException {
		super.init(servletConfig);
		WebApplication.init(servletConfig, getServletContext(), getClassLoader());
	}

	/*
	 * (non-Javadoc)
	 *
	 * @see
	 * com.vaadin.incubator.spring.servlet.SpringApplicationServlet#service(
	 * javax.servlet.http.HttpServletRequest,
	 * javax.servlet.http.HttpServletResponse)
	 */
	@Override
	protected void service(final HttpServletRequest request,
			final HttpServletResponse response) throws ServletException, IOException {
		WebApplication.beforeService(request, response, request.getSession().getServletContext());
		super.service(request, response);
		WebApplication.afterService(request, response, request.getSession().getServletContext());
	}

}
